---
- name: Converge
  hosts: all
  become: true
  pre_tasks:
    - set_fact:
        ha_cluster_nodes: "{% set ips = [] %}{% for hostname in ansible_play_hosts %}{{ips.append({'name': hostname,'ip':hostvars[hostname]['ansible_eth0']['ipv4']['address']})}}{% endfor %}{{ ips }}"
      run_once: true
  tasks:
    - block:
        - name: "Found required variables not set"
          include_role:
            name: ansible_role_ha
          vars:
            ha_cluster_password: changeme11
            ha_cluster_password_salt: 'SDFjsdlkajfJOIDFklkj**UO#$kllkfksd'
            ha_manage_hosts: false
            ha_clusters:
              - name: zabbix-ha
                nodes: "{{ ansible_play_hosts }}"
                properties: []
                resources: []
                groups: []
                constraints: []
      rescue:
        - debug:
            msg: "Ignore errors real checks handled in tests"
